
From: "George G. Davis" <gdavis@mvista.com>

If `mkimage` is either not found in search path or returns non-zero status,
`make uImage` succeeds when it should fail.  This changes
scripts/mkuboot.sh to return status so build succeeds or fails as
appropriate.

Signed-off-by: George G. Davis <gdavis@mvista.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/mkuboot.sh |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN scripts/mkuboot.sh~fix-scripts-mkubootsh-to-return-status scripts/mkuboot.sh
--- 25/scripts/mkuboot.sh~fix-scripts-mkubootsh-to-return-status	2005-03-03 18:01:34.000000000 -0800
+++ 25-akpm/scripts/mkuboot.sh	2005-03-03 18:01:34.000000000 -0800
@@ -9,8 +9,10 @@ MKIMAGE=$(type -path mkimage)
 if [ -z "${MKIMAGE}" ]; then
 	# Doesn't exist
 	echo '"mkimage" command not found - U-Boot images will not be built' >&2
-	exit 0;
+	exit -1
 fi
 
 # Call "mkimage" to create U-Boot image
 ${MKIMAGE} "$@"
+
+exit $?
_
